[ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

ASSI

Perl 5.30.1-1 is now available on Cygwin, replacing perl-5.26.3-2.  Most
Perl distributions and dependent packages have been either re-released
or updated in conjunction with this update, for exceptions please refer
to the list below.

Release notes:
https://metacpan.org/release/SHAY/perl-5.30.1


Note
====

Since Cygwin skipped the 5.28 releases of Perl, also check the release
notes for that version in order to check for any user-visible changes.


Attention
=========

The following packages depend on Perl and have not yet been updated to
use the new Perl version.  If you rely on these, please wait for the
upgrade announcement by the respective maintainer as these may have
degraded functionality or even stop working after Perl has updated:

gnumeric
graphviz
grepmail
hexchat
libproxy
link-grammar
marisa
ming
nginx-mod_http_perl
openbabel
openwsman
perl-Alien-wxWidgets
perl-Cairo
perl-Cairo-GObject
perl-GD
perl-GStreamer1
perl-Glib
perl-Glib-Object-Introspection
perl-Gnome2
perl-Gnome2-Canvas
perl-Gnome2-GConf
perl-Gnome2-Rsvg
perl-Gnome2-VFS
perl-Gnome2-Vte
perl-Gnome2-Wnck
perl-Gtk2
perl-Gtk2-GladeXML
perl-Gtk2-Notify
perl-Gtk2-SourceView2
perl-Gtk2-Spell
perl-Gtk2-Unique
perl-Gtk2-WebKit
perl-Gtk3
perl-Pango
perl-SGMLSpm
perl-Win32-GUI
perl-Wx
po4a
pristine-tar
rxvt-unicode
sendxmpp
texinfo
vim
weechat
xfconf
zbar
zinnia


--
              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there. It will be in the format:

cygwin-announce-unsubscribe-you=[hidden email]

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is available
starting at this URL.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

marco atzeri-4
Am 16.02.2020 um 21:32 schrieb Achim Gratz:

>
> Perl 5.30.1-1 is now available on Cygwin, replacing perl-5.26.3-2.  Most
> Perl distributions and dependent packages have been either re-released
> or updated in conjunction with this update, for exceptions please refer
> to the list below.
>
> Release notes:
> https://metacpan.org/release/SHAY/perl-5.30.1
>
>
> Note
> ====
>
> Since Cygwin skipped the 5.28 releases of Perl, also check the release
> notes for that version in order to check for any user-visible changes.
>
>
> Attention
> =========
>
> The following packages depend on Perl and have not yet been updated to
> use the new Perl version.  If you rely on these, please wait for the
> upgrade announcement by the respective maintainer as these may have
> degraded functionality or even stop working after Perl has updated:
>

> vim

I don't think vim has any pependency on perl.

  vim-perl is obsolete and empty



--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCEMENT] Updated: perl-5.30.1-1 and Perl distributions

Ken Brown-6
In reply to this post by ASSI
On 2/16/2020 3:32 PM, Achim Gratz wrote:

>
> Perl 5.30.1-1 is now available on Cygwin, replacing perl-5.26.3-2.  Most
> Perl distributions and dependent packages have been either re-released
> or updated in conjunction with this update, for exceptions please refer
> to the list below.
>
> Release notes:
> https://metacpan.org/release/SHAY/perl-5.30.1
>
>
> Note
> ====
>
> Since Cygwin skipped the 5.28 releases of Perl, also check the release
> notes for that version in order to check for any user-visible changes.
>
>
> Attention
> =========
>
> The following packages depend on Perl and have not yet been updated to
> use the new Perl version.  If you rely on these, please wait for the
> upgrade announcement by the respective maintainer as these may have
> degraded functionality or even stop working after Perl has updated:
>
> texinfo

No update needed.

Ken

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple